--- CMakeLists.txt.orig	2011-10-20 01:33:03.260813526 +0400
+++ CMakeLists.txt	2011-10-20 01:33:59.489685176 +0400
@@ -124,6 +124,9 @@
 option( BUILD_NSPLUGINS "Build nsplugins"  ${BUILD_ALL} )
 option( BUILD_KSYSGUARD "Build ksysguard"  ${BUILD_ALL} )
 option( BUILD_KXKB "Build kxkb"  ${BUILD_ALL} )
+option( BUILD_TSAK "Build tsak"  ${BUILD_ALL} )
+option( BUILD_KROOTBACKING "Build krootbacking"  ${BUILD_ALL} )
+option( BUILD_TQT3INTEGRATION "Build tqt3integration"  ${BUILD_ALL} )


 ##### set PKG_CONFIG_PATH #######################
@@ -194,9 +197,9 @@
 tde_conditional_add_subdirectory( BUILD_NSPLUGINS nsplugins )
 tde_conditional_add_subdirectory( BUILD_KSYSGUARD ksysguard )
 tde_conditional_add_subdirectory( BUILD_KXKB kxkb )
-add_subdirectory( tsak )
-add_subdirectory( krootbacking )
-add_subdirectory( tqt3integration )
+tde_conditional_add_subdirectory( BUILD_TSAK tsak )
+tde_conditional_add_subdirectory( BUILD_KROOTBACKING krootbacking )
+tde_conditional_add_subdirectory( BUILD_TQT3INTEGRATION tqt3integration ) 
 
 ##### install startkde & related stuff ##########
 
--- kdmlib/CMakeLists.txt.orig	2011-10-20 01:33:24.512182370 +0400
+++ kdmlib/CMakeLists.txt	2011-10-20 01:30:07.474750978 +0400
@@ -73,9 +73,11 @@
 
 ##### kompmgr (executable) #######################
 
-tde_add_executable( kdmtsak
-  SOURCES kdmtsak.cpp
-  LINK ${TQT_LIBRARIES}
-  DESTINATION ${BIN_INSTALL_DIR}
-  SETUID
-)
\ В конце файла нет новой строки
+if( BUILD_TSAK )
+  tde_add_executable( kdmtsak
+    SOURCES kdmtsak.cpp
+    LINK ${TQT_LIBRARIES}
+    DESTINATION ${BIN_INSTALL_DIR}
+    SETUID
+  )
+endif( BUILD_TSAK )
